Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## lbg.peer.strategy.scheduling
Enum SupplyingRunningPreemptionType

    java.lang.Object
      java.lang.Enum<SupplyingRunningPreemptionType>
          lbg.peer.strategy.scheduling.SupplyingRunningPreemptionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SupplyingRunningPreemptionType>

    public enum SupplyingRunningPreemptionType

extends java.lang.Enum<SupplyingRunningPreemptionType>

Author:
  Cyril Briquet

Enum Constant Summary
`AdaptivePreemption`
`AdaptivePreemptionGrace1`
`AdaptivePreemptionGrace10`
`AdaptivePreemptionGrace2`
`AdaptivePreemptionGrace5`
`FullCancellation`
`FullPreemption`
`LimitedCancellation`
`LimitedPreemption`
`NoPreemption`

Method Summary
`abstract SupplyingRunningPreemptionPolicy` | `createSupplyingRunningPreemptionPolicy(Peer managed_peer, Scheduler scheduler)`
`static java.lang.String` | `getPDPLabel()`
`static java.lang.String[]` | `getPolicyLabels()`
`abstract boolean` | `isPreemptionStrategy()`
`static int` | `size()`
`static SupplyingRunningPreemptionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SupplyingRunningPreemptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoPreemption

    public static final SupplyingRunningPreemptionType NoPreemption

### LimitedPreemption

    public static final SupplyingRunningPreemptionType LimitedPreemption

### FullPreemption

    public static final SupplyingRunningPreemptionType FullPreemption

### LimitedCancellation

    public static final SupplyingRunningPreemptionType LimitedCancellation

### FullCancellation

    public static final SupplyingRunningPreemptionType FullCancellation

### AdaptivePreemption

    public static final SupplyingRunningPreemptionType AdaptivePreemption

### AdaptivePreemptionGrace1

    public static final SupplyingRunningPreemptionType AdaptivePreemptionGrace1

### AdaptivePreemptionGrace2

    public static final SupplyingRunningPreemptionType AdaptivePreemptionGrace2

### AdaptivePreemptionGrace5

    public static final SupplyingRunningPreemptionType AdaptivePreemptionGrace5

### AdaptivePreemptionGrace10

    public static final SupplyingRunningPreemptionType AdaptivePreemptionGrace10

Method Detail

### values

    public static final SupplyingRunningPreemptionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SupplyingRunningPreemptionType c : SupplyingRunningPreemptionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SupplyingRunningPreemptionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### createSupplyingRunningPreemptionPolicy

    public abstract SupplyingRunningPreemptionPolicy createSupplyingRunningPreemptionPolicy(Peer managed_peer,
                                                                                            Scheduler scheduler)
                                                                                     throws GridException

  Throws:
    `GridException`

### isPreemptionStrategy

    public abstract boolean isPreemptionStrategy()

### getPDPLabel

    public static final java.lang.String getPDPLabel()

### size

    public static int size()

### getPolicyLabels

    public static java.lang.String[] getPolicyLabels()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.